# Resource

interface Resource

A generic resource of some kind. Only describes the resource. There are more specific interface that extend this one and specify ways of accessing the resource's content.

#### Inheritors

ReadableResource

## Functions

getBaseName
Link copied to clipboard
abstract fun getBaseName(): String
Short name that concisely describes this resource
getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
Human readable name of this resource
getURI
Link copied to clipboard
abstract fun getURI(): URI
Uniform resource identifier that uniquely describes this resource